## Apache Zeta Components Manual :: Docs For Class ezcMvcRequestAuthentication

### MvcTools::ezcMvcRequestAuthentication

### Class ezcMvcRequestAuthentication

Struct which holds the request authentication parameters.

Source for this file: /MvcTools/src/structs/request_authentication.php

    ezcBaseStruct
       |
       --ezcMvcRequestAuthentication

Version: | //autogentag//

### Member Variables

public string | `$identifier` Username or other authentication identifier.
public string | `$password` Password or other identity verification.

### Method Summary

public static ezcMvcRequestAuthentication | `__set_state( $array )` Returns a new instance of this class with the data specified by $array.
public ezcMvcRequestAuthentication | `__construct( [ $identifier = ''] , [ $password = ''] )` Constructs a new ezcMvcRequestAuthentication.

### Methods

#### __set_state

static ezcMvcRequestAuthentication __set_state( $array )

Returns a new instance of this class with the data specified by $array.

$array contains all the data members of this class in the form: array('member_name'=>value).

__set_state makes this class exportable with var_export. var_export() generates code, that calls this method when it is parsed with PHP.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$array` | array(string=>mixed) |

#### __construct

ezcMvcRequestAuthentication __construct( [string $identifier = ''] , [string $password = ''] )

Constructs a new ezcMvcRequestAuthentication.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$identifier` | string |
`$password` | string |

Documentation generated by phpDocumentor 1.4.3